import { AsyncStorage } from 'react-native';

const STORAGE_KEY = 'CIRCLE_TOKEN';

async function get() {
  return await AsyncStorage.getItem(STORAGE_KEY);
}

async function set(token) {
  return await AsyncStorage.setItem(STORAGE_KEY, token);
}

export default { get, set};
