import React from 'react-native'; // eslint-disable-line no-unused-vars

import NavigationTitle from './Title';
import NavigationBackButton from './BackButton';
import NavigationInfoButton from './InfoButton';

import { View } from 'react-native';

export default {

  LeftButton(route, nav, index, navState) {
    if (index === 0) {
      return <View />;
    }

    return (
      <NavigationBackButton nav={nav} />
    );
  },

  RightButton(route, nav, index, navState) {
    if (route.id === 'login') {
      return <NavigationInfoButton nav={nav} route={route} />;
    }
    return <View />;
  },

  Title(route, nav, index, navState) {
    return (
      <NavigationTitle route={route} />
    );
  },

};
